---
agentTools:
  projectIndex: https://troops.readme.io/llms.txt
---

# List User Accounts

Lists user accounts for your agencies

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Introduction",
    "version": "1.0.0",
    "description": "The Troops Integration API is organized around\n[REST](https://en.wikipedia.org/wiki/Representational_state_transfer). It\nallows you to query and manipulate the following resources within your TEA\ntree:\n\n- Candidates and their related assets.\n- TEAs\n- Certain references:\n  - Business sectors\n  - Countries\n  - Jobs\n- Paychecks\n- Evolia syncing\n"
  },
  "paths": {
    "/api/integrations/agency-users": {
      "get": {
        "tags": [
          "Staffing Agencies"
        ],
        "description": "Lists user accounts for your agencies",
        "operationId": "List User Accounts",
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/Page"
          },
          {
            "in": "query",
            "name": "filters[teas][]",
            "description": "filter by TEAs uuids",
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/UUID",
                "description": "filter by TEA uuid"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Returned in case the request was handled successfully",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "$ref": "#/components/schemas/UUID"
                          },
                          "user_uuid": {
                            "$ref": "#/components/schemas/UUID"
                          },
                          "first_name": {
                            "$ref": "#/components/schemas/FirstName"
                          },
                          "last_name": {
                            "$ref": "#/components/schemas/LastName"
                          },
                          "email": {
                            "$ref": "#/components/schemas/Email"
                          },
                          "phone": {
                            "$ref": "#/components/schemas/Phone"
                          },
                          "roles": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "id": {
                                  "$ref": "#/components/schemas/UUID"
                                },
                                "title": {
                                  "type": "string",
                                  "example": "Assistant RH"
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    "pagination": {
                      "$ref": "#/components/schemas/PaginationV2"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          }
        },
        "summary": "List User Accounts"
      }
    }
  },
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "The entire API is authenticated, so to use it you will require an API\nkey. To acquire one, please send a request to your account manager at\nTroops or to help@troops.fr.\n\nWhen making requests, you need to specify the API key using the Bearer\nscheme in the Authorization header, e.g. `Authorization: Bearer\nthis-is-my-secret-token`.\n\nYour API keys carry many privileges, so be sure to keep them secure! Do\nnot share your secret API keys in publicly accessible areas such as\nGitHub, client-side code, and so forth.\n\nAll API requests must be made over HTTPS. Calls made over plain HTTP\nwill fail. API requests without authentication will also fail.\n"
      }
    },
    "schemas": {
      "UUID": {
        "type": "string",
        "format": "uuid",
        "description": "UUID",
        "example": "123e4567-e89b-12d3-a456-426655440000"
      },
      "FirstName": {
        "type": "string",
        "maxLength": 150,
        "example": "John",
        "description": "First name of the individual"
      },
      "LastName": {
        "type": "string",
        "maxLength": 150,
        "example": "Doe",
        "description": "Last name of the individual"
      },
      "Email": {
        "type": "string",
        "format": "email",
        "example": "some@troops.online"
      },
      "Phone": {
        "type": "string",
        "maxLength": 30,
        "example": "+498963648018"
      },
      "PaginationV2": {
        "type": "object",
        "properties": {
          "total": {
            "type": "integer",
            "description": "Total amount of entries",
            "example": 30
          },
          "current_page": {
            "type": "integer",
            "description": "Number of current page",
            "example": 1
          },
          "per_page": {
            "type": "integer",
            "description": "Number of items per page",
            "example": 10
          },
          "total_pages": {
            "type": "integer",
            "description": "Number of pages overall",
            "example": 3
          }
        }
      }
    },
    "parameters": {
      "Page": {
        "in": "query",
        "name": "page",
        "description": "Page number requested",
        "example": 1,
        "schema": {
          "type": "integer",
          "minimum": 0
        }
      }
    },
    "responses": {
      "Unauthorized": {
        "description": "Returned in case authentication is lacking, invalid or expired"
      },
      "NotFound": {
        "description": "Returned in case the requested item can not be found"
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://api-staging.troops.fr",
      "description": "PreProduction (Staging) server"
    },
    {
      "url": "https://api.troops.fr",
      "description": "Production server"
    },
    {
      "url": "https://api-dev.troops.online",
      "description": "Development server"
    },
    {
      "url": "https://api-{envID}.troops.online",
      "description": "Development server (Dynamic feature env)",
      "variables": {
        "envID": {
          "default": "dev",
          "description": "dev, r-********, 1202004111967626"
        }
      }
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 101,
      "1": 184,
      "2": 241,
      "3": 90,
      "4": 97,
      "5": 249,
      "6": 184,
      "7": 0,
      "8": 76,
      "9": 125,
      "10": 22,
      "11": 209
    }
  }
}
```